
Redmine - Feature #6180

Searchable custom fields do not provide adequate operators

2010-08-20 01:48 - Tom Rochette

Status: Closed Start date: 2010-08-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed   

Description

Using an integer custom field (called Affected revision, searchable) as a filter in the issues list should provide me with integer

operators such as =, !=, >, <, >=, <=,  ...

Instead, I am provided with string comparison operators which does not make much sense. It would also be interesting to be able to

use range operator to determine a range of values. This is certainly required for both float and integer custom fields.

Installation details:

Database version - MySQL 5.1.49

Ruby version - ruby 1.9.1p378 (2010-01-10 revision 26273) [i686-linux]

Rails version - 2.3.5

Redmine version - SVN revision 4010

Related issues:

Related to Redmine - Defect #8709: Issue filter select wrong , format type In... Closed 2011-06-29

Associated revisions

Revision 6213 - 2011-07-09 22:30 - Jean-Philippe Lang

Numeric operators for custom fields in query filters (#6180).

Revision 6216 - 2011-07-09 23:34 - Jean-Philippe Lang

Fixes "less than", "greater than" filters on custom fields with postgres (#6180).

Revision 6217 - 2011-07-10 10:00 - Jean-Philippe Lang

Adds "between" operator for numeric filters (#6180).

History

#1 - 2010-08-20 03:45 - Tom Rochette

- File EXAMPLE_MISSING_FIELD.diff added

Here included is an example of a fix for the integer values. This is by no mean complete but it seems to fix the displaying and filtering using correct

operators.

#2 - 2010-08-26 00:32 - Eric Davis

- Tracker changed from Defect to Feature

#3 - 2010-08-26 00:44 - Eric Davis

- Priority changed from High to Normal

#4 - 2011-06-29 19:22 - Etienne Massip

- Target version set to Candidate for next major release

#5 - 2011-07-10 13:21 - Jean-Philippe Lang

- Target version changed from Candidate for next major release to 1.3.0

#6 - 2011-07-10 20:20 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Files

redmine_bug.png 12.2 KB 2010-08-19 Tom Rochette

EXAMPLE_MISSING_FIELD.diff 537 Bytes 2010-08-20 Tom Rochette
